#This is the shell scripted installer for Lism 
#It uses the components compiled for debian

echo "Installing Lism"

mkdir /usr/share/fonts/LISMttf/

echo "Installing Fonts"

cp ./LISMttf/* /usr/share/fonts/LISMttf/

echo "Registering Fonts"

chmod 755 /usr/share/fonts/LISMttf/*

defoma-font -v register-all CDAC-Lism-FontRegister-File

mkdir /usr/local/Klib

echo "Installing Klib"

cp -r  ./Klib/* /usr/local/Klib

mkdir /LISM/

echo "Installing Components"

cp Fontmap /LISM
cp lism /LISM

mkdir /LISM/Doc

cp -r ./Doc/* /LISM/Doc

mkdir /LISM/afm

cp -r ./afm/* /LISM/afm

echo "creating fonts.dir"

cd /usr/share/fonts/LISMttf/

mkfontscale 

mkfontdir

xset fp+ /usr/share/fonts/LISMttf

xset fp rehash

echo "Lism Installation complete"

exit 0


